Üye Ol 
Ücretsiz Kullanıcı Adı Şifre Beni Hatırla Şifremi unuttum
Online
Eski Galeri  

İleti Yazar
04.07.2008 12:24 GMT
38516      




emine8621

[2] Acemi

Online Durumu

5 ileti
makine ressamı
antalya

çizimin metre karesini nasıl bulurum

kendim buldum cevabı bilmeyenler varsa diye yazayım "area" diye bir komutla hesaplanıyormuş


Bu mesaj ehya tarafından düzenlendi (04.07.2008 12:59 GMT, --- önce)

04.07.2008 12:59 GMT
38518      




ehya

[80] Yetkili

Online Durumu

2689 ileti
Teknik Ressam
Ankara

en iyi hesaplama yöntemi alanı hesaplanacak bölgeye pline çizin. Daha sonra "Area" komutunu çalıştırıp "Object" alt komutunu yazın. Daha sonra pline'ı seçin. Alanını verecektir.
Çizdiğiniz birim cm ise, verilecek değerden alanınızı hesaplamak için
Örneğin sonucu aşağıdaki gibi olsun.

Area = 42727.72, Perimeter = 828.65

Burada area kısmındaki sayıda .(nokta) dan itibaren sola doğru dört basamak sayıp alanınızı bulun.

Sonuç : 4.27 m2



Not : Tüm üye arkadaşlar, konu açarken lütfen konu ile alakalı başlık kullanın. Arama yapacak arkadaşlar örneğin bu konu için konu ile alakalı anahtar kelime yazarak arama yapacağını düşünün. "çok acil" "yardım" "sorum var" gibi cümleler ile konu alakasız konu başlıkları kullanmayın.

07.07.2008 14:24 GMT
38640      




Sessiz Kabus

[1] Yeni üye

Online Durumu

3 ileti
İnş. Teknikeri
İstanbul

en güzeli cad'ın pr komutu ile açılan sağ tarafta güzel bir ekranı var. Burda objenin her türlü detayını söylüyo. kapalı olan layerlardan oluşmuş yamuğun, karenin, dikdötrgenin,üçgenin,dairenin de tüm bilgilerini veriyo...
örneğin bir yayın uzunluğunu bulmak için yaya tıklayıp pr den detaylarını bulabiliriz.

08.02.2010 22:42 GMT
55438      




rasvah

[1] Yeni üye

Online Durumu

1 ileti
Harita Mühendisi
İstanbul

autocad e başlayalı bir hafta oldu sitenizden çok şey öğreniyorum teşekkürler gerçekten
haritacıyım; bana lazım olan parsellerin alan hesabı..
sanırım kapalı şekli seçip pr yazıp space e bastıktan sonra solda geometry kısmında alan yazıyor.. kullandığım autocad 2008...

just do it!

09.02.2010 00:40 GMT
55440      




ProhibiT

[70] Editör

Online Durumu

1466 ileti
İnşaat Mühendisi
Ankara

Çizerken cm. birimini kullandıysanız ve Alanı m2 biriminde almak istiyorsanız;
Önce "Area" komutunu çalıştırıp, obje seçin ya da noktalar serisi seçerek komutu tamamlayın.
Sonra aşağıdaki Fonksiyonu (NaLan) çalıştırın, hesaplanan alan m2 biriminde gösterdiğiniz yere yazılacaktır...
Kod: (Seç)

(defun c:NaLan ()
  (command "undo" "group")
  (setvar "cmdecho" 0)
  (if (= tx nil) (setq btx (* (getvar "dimscale") (getvar "dimtxt"))))
  (setq aln (strcat (rtos (/ (getvar "area") 10000) 2 2) " m²"))
  (setq tx (getreal (strcat "\nYazi yuksekligi <" (rtos btx) "> : ")))
  (if (= tx nil) (setq tx btx))
  (setq pp (getpoint "\nAlanın yazılacağı yeri seçiniz : "))
  (entmake (list (cons 0 "TEXT") (cons 8 "Koordinat") (cons 40 tx) (cons 1 aln) (cons 50 0) (cons 10 pp)))
  (command "undo" "e")
  (prin1)
)

Farklı birimler kullanıyorsanız, benim 10000 (10000 cm2=1 m2) olarak kullandığım sayıyı değiştirerek kendi birim sisteminize uyarlayabilirsiniz.

Kolay Gelsin...

Where there is a will, there is a way... Beğenmek için anlamak lazım...

09.02.2010 10:39 GMT
55449      




HIPHOP

[5] Müdavim

Online Durumu

72 ileti
TEKNİK RESSAM
İSTANBUL

yine siteden indirmiş olduğum başka bir lisp var bu konu hakkında.



(defun m2_br_sec ()
(if (= cizim_birim nil)
(progn
(initget 1 "Metre Cm")
(setq cizim_birim (getkword "
Çizim Birimini seçiniz [Metre / Cm]:")))))
(defun m2_stil ()
(setq m2_stil_ara (tblsearch "style" "m2"))
(if (= m2_stil_ara nil)
(progn
(setq m2_yaz_yuk 12)
(setq m2_yaz_y (getdist (strcat "
Yazı Yüksekliği:< " (rtos m2_yaz_yuk) ">:")))
(if (= m2_yaz_y nil)
(setq m2_yaz_y m2_yaz_yuk))
(setq m2_yaz_yuk m2_yaz_y)
(command "style" "m2" "arial.ttf" m2_yaz_yuk "0.8" "" "" ""))))
(defun c:m2 ()
(setvar "modemacro" "Archme Design 2005 ©")
(setvar "cmdecho" 0)
(m2_br_sec)
(if (= cizim_birim "Metre")
(setq m2_bol 10000)
(setq m2_bol 10000))
(setq m2_secim (ssget '((-4 . "<OR")
(0 . "LWPOLYLINE")
(0 . "POLYLINE")
(0 . "CIRCLE")
(0 . "ELLIPSE")
(0 . "SPLINE")
(0 . "REGION")
(0 . "3DSOLID")
(-4 . "OR>"))))
(if (= m2_secim nil)
(progn
(princ))
(progn
(setq m2_secim_say (sslength m2_secim))
(setq m2_c 0)
(setq m2_toplam 0)
(while (< m2_c m2_secim_say)
(setq m2_secim_tek (ssname m2_secim m2_c))
(command "area" "e" m2_secim_tek)
(setq m2_tek_alan (/ (getvar "area") m2_bol))
(setq m2_toplam (+ m2_toplam m2_tek_alan))
(setq m2_c (+ m2_c 1)))
(m2_stil)
(setq m2_aciklama (getstring t "
Yazılacak metni yazınız:"))
(setq m2_yer (getpoint "
Yer Gösterin:"))
(if (= m2_yer nil)
(progn
(princ "
Yer gösterilmediği için komut bitirildi !!!..."))
(progn
(setvar "textstyle" "m2")
(command "text" m2_yer "0" m2_aciklama)
(command "text" "" (strcat (rtos m2_toplam 2 2) " m²"))
))))(princ))

__________________________________

old school is cool

09.02.2010 17:40 GMT
55465      




ProhibiT

[70] Editör

Online Durumu

1466 ileti
İnşaat Mühendisi
Ankara

Merhaba,

Alanlarla ilgili olarak farklı bir yöntemden bahsetmek istiyorum.

- FIELDDISPLAY değerini 0 (sıfır), FIELDEVAL sistem değişkeninin değerini 31 olarak girin.
- AutoCAD komut satırından "FieLd" komutunu girin.
- Açılan Diyalog kutusunda, Field Names bölümünden "Object" seçin
- "Object Type" bölümünün yanındaki seçim ikonuna tıklayıp, bir obje (mesela bir polyline) seçin.
- "Property" bölümünde "Area" seçin.
- "Additional Format" butonuna tıklayıp,
- "Conversion Factor" bölümüne 0.0001 girin (cm. birimindeki çizimde m² biriminde alan değeri için)
- "Suffix" bölümüne " m²" girin. (yukarıdaki birim sistemleri için)
- OK butonlarına tıklayarak sırasıyla her iki diyalog kutusunu da kapattığınızda, Alan'ın yazılacağı yeri seçin.

Field komutuyla Area değerine bağlantı kurduğunuz PoLyLine objesi bir şekilde edit edilirse, PoLyLine objesinin alanı değiştirilirse, ilk regen işleminde yazdırdığınız alan değeri kendiliğinden güncellenecektir.

Herhangi bir Text komutu aktif iken ctrl+MouseSağTuş girdiğinizde açılan menüden "Insert Field" seçerek te yazdığınız tex'in değerini herhangi bir objenin, bir değerine bağlayabilirsiniz. Bahsedilen işlemi, Attdef komutuyla Attribute define ederken de kullanabilir, Attribute Value olarak Field kullanabilirsiniz.
FieldEval değeriniz 31 ise her regen işleminde Field değerleri güncellenecektir.
FieldDisplay değeriniz 1 ise Field değerini gösteren MText dolgulu, 0 ise dolgusuz olarak gösterilecektir.

Kolay Gelsin...

Where there is a will, there is a way... Beğenmek için anlamak lazım...

09.02.2010 19:49 GMT
55470      




sadikyasar

[3] Kıdemli

Online Durumu

30 ileti
öğretim görevlisi
ankara

10.02.2010 09:38 GMT
55486      




HIPHOP

[5] Müdavim

Online Durumu

72 ileti
TEKNİK RESSAM
İSTANBUL

Alıntı
ProhibiT :
Merhaba,

Alanlarla ilgili olarak farklı bir yöntemden bahsetmek istiyorum.

- FIELDDISPLAY değerini 0 (sıfır), FIELDEVAL sistem değişkeninin değerini 31 olarak girin.
- AutoCAD komut satırından "FieLd" komutunu girin.
- Açılan Diyalog kutusunda, Field Names bölümünden "Object" seçin
- "Object Type" bölümünün yanındaki seçim ikonuna tıklayıp, bir obje (mesela bir polyline) seçin.
- "Property" bölümünde "Area" seçin.
- "Additional Format" butonuna tıklayıp,
- "Conversion Factor" bölümüne 0.0001 girin (cm. birimindeki çizimde m² biriminde alan değeri için)
- "Suffix" bölümüne " m²" girin. (yukarıdaki birim sistemleri için)
- OK butonlarına tıklayarak sırasıyla her iki diyalog kutusunu da kapattığınızda, Alan'ın yazılacağı yeri seçin.

Field komutuyla Area değerine bağlantı kurduğunuz PoLyLine objesi bir şekilde edit edilirse, PoLyLine objesinin alanı değiştirilirse, ilk regen işleminde yazdırdığınız alan değeri kendiliğinden güncellenecektir.

Herhangi bir Text komutu aktif iken ctrl+MouseSağTuş girdiğinizde açılan menüden "Insert Field" seçerek te yazdığınız tex'in değerini herhangi bir objenin, bir değerine bağlayabilirsiniz. Bahsedilen işlemi, Attdef komutuyla Attribute define ederken de kullanabilir, Attribute Value olarak Field kullanabilirsiniz.
FieldEval değeriniz 31 ise her regen işleminde Field değerleri güncellenecektir.
FieldDisplay değeriniz 1 ise Field değerini gösteren MText dolgulu, 0 ise dolgusuz olarak gösterilecektir.

Kolay Gelsin...




bu çok faydalı bir bilgiymiş. buna şuana kadar rastlamam da enteresan.... yalnız. noktadan sonraki sıfırlar çok fazla. acaba bunun ayarı da mümkünmüdür?

bunun alan hesaplamaları dışında başka hangi amaçlarla kullanabileceği hakkında da bilgi verebilirmisiniz?

__________________________________

old school is cool

10.02.2010 11:14 GMT
55502      




ProhibiT

[70] Editör

Online Durumu

1466 ileti
İnşaat Mühendisi
Ankara

LUPREC (Lineer Unit Precission) değişkenini kaç basamak ayarlarsanız ondalık noktasından sonra o kadar gösterir. Luprec i değiştirdikten sonra regen etmeniz yeterli, mevcut Field'lar yeni luprec değerinize göre uyarlanırlar...

Alan hesaplamaları dışında, ilk aklıma gelen çizgi uzunlukları (Line Length) olarak kullanılabilir.
Mevcut bir çizginin Uzunluğunu Field'a bağlarsanız, çizgi edit edilip boyu değiştirildiğinde, yazdığımız değer de değişecektir. Bir başka örnek; Object Type'ı Date'e bağlarsanız, Çizim içine yazacağınız tarih otomatik güncellenecektir. (dikkatinizi çekmek isterim, Date'in güncellenmesi konusunda biraz farklı bir prosedür var)

Field Dialog Box tan takip ederseniz, Object Type gurubuna bir bakın, seçilen Obje tipine göre Epeyce zengin bir Property seçeneği var, hepsini burada tek tek sıralamak çok uzun olur. Dynamic Blocklarda bazı değerleri Field'lara bağlayabilirsiniz. Gene örnek olarak, Object olarak bir Point seçip, Property olarak position seçerseniz. Point objesinin x ve y değerleri yazılacaktır. Söz konusu Point objesinin yeri değiştiğinde de bu x ve y değerleri otomatik güncellenecektir.

Yeri gelmişken ehya hocamın da kulaklarını çınlatmak isterim
Hocam Kotlarla ilgili konuştuğumuz bir konu vardı, bu field kavramı orada da kullanılabilir mi?
Bu konuyla ilgili olarak Association List'teki (102 . "{ACAD_XDICTIONARY") (360 . <Entity name: 7ffffb058c0>) (102 . "}") kısmına dikkatinizi çekmek isterim. Yani bir Entity'nin Assoc listi içinde, başka bir Entity Name'e referans verilebiliyor...

Kesit ve cephelere kot veren Lisplerde, Defpoints Layer'ında (Dimension komutunun yarattığı Layer) Kot Block'u içinde bir Point koydursak, ve Kot değerini attribute olarak bu point objesinin "Position" değerine Field ile bağlasak... Verdiğimiz kotlar çizim edit edildikçe kendiliğinden güncellenecektir Şu anda aklıma geldi, sesli (yani yazılı) düşünüyorum...

Kolay Gelsin.

Düzenleme: Ondalık basamak sayısını belirlemek için, Field dialog box'ta sağ taraftaki Format bölümünün altındaki "Precission" u kullanabilirsiniz. Bu değeri "Current Precission" olarak bırakırsanız Luprec sistem değişkeninin değeri alınacaktır.


Bu mesaj ProhibiT tarafından düzenlendi (24.02.2010 23:19 GMT, --- önce)

Where there is a will, there is a way... Beğenmek için anlamak lazım...

Yukarı Çık
Copyright © 2004-2014 | Tüm Hakları Saklıdır | 3846 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam
AKPINAR Eğitim ve Yazılım Merkezi